Bug 553402 - Review Request: remmina - A GTK+ Remote Desktop Client
Summary: Review Request: remmina - A GTK+ Remote Desktop Client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 563001 563013
TreeView+ depends on / blocked
 
Reported: 2010-01-07 19:55 UTC by Damien Durand
Modified: 2010-03-23 01:59 UTC (History)
9 users (show)

Fixed In Version: remmina-0.7.4-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 01:24:30 UTC
lkundrak: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Damien Durand 2010-01-07 19:55:47 UTC
Spec URL: http://splinux.fedorapeople.org/remmina/remmina.spec
SRPM URL: http://splinux.fedorapeople.org/remmina/remmina-0.7.2-1.fc12.src.rpm

Description: Remmina is a remote desktop client written in GTK+, aiming to be useful 
for system administrators and travellers, who need to work with lots
of remote computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistant
 user interface. Currently RDP, VNC, XDMCP and SSH are supported.

Comment 1 Terje Røsten 2010-01-07 21:21:23 UTC
Seems good to me, builds in koji too:

 http://koji.fedoraproject.org/koji/taskinfo?taskID=1908228

However, I would split the buildreq line and maybe make Summary say simply 
Remote Desktop Client.

Comment 3 Lubomir Rintel 2010-01-08 14:50:12 UTC
* Named correctly
* Version correct
* Source matches upstream
* Spec file clean, legible, American english
* RPMlint silent
* Builds in mock
* Filelist sane
* Requires/provides sane
* Scritplets fine
* Uses compiler flags correctly

Needs work:

1.) License

  3des.* files lack licensing information
    (you may want to find other software that includes this to clarify licensing,
    or use an existing library for tripple DES encryption)
  zywrletemplate.c
    This looks like a BSD license, not GPL
  keysym.h
    MIT license?
  
2.) Embedded copies of libraries

Please look into possibility of using existing vnc library present in Fedora instead of libvncserver.

Comment 4 Terje Røsten 2010-01-08 15:30:23 UTC
Should Xephyr be added as req? 

In testing I did not find any SSH options, bug or feature?

Comment 5 Mohamed El Morabity 2010-01-08 15:38:13 UTC
(In reply to comment #3)
> 2.) Embedded copies of libraries
> 
> Please look into possibility of using existing vnc library present in Fedora
> instead of libvncserver.  

According to the file configure.ac provided with the source, this will enable the use of external vnc: 
  %configure --enable-vnc=dl

Comment 6 Mohamed El Morabity 2010-01-08 15:40:38 UTC
(In reply to comment #4)
> Should Xephyr be added as req? 
> 
> In testing I did not find any SSH options, bug or feature?  
It seems that to enable it, remmina needs to be compiled with libssh >= 0.4, whereas Fedora <= 12 only provides 0.2 (but rawhide has 0.4)

Comment 7 Terje Røsten 2010-01-08 19:09:15 UTC
> > In testing I did not find any SSH options, bug or feature?  
> It seems that to enable it, remmina needs to be compiled with libssh >= 0.4,
> whereas Fedora <= 12 only provides 0.2 (but rawhide has 0.4)  

Seems like libssh 0.4 is coming to F11 and F12 soon:

  https://admin.fedoraproject.org/updates/F12/FEDORA-2009-13648
   
  bug #541010

Comment 8 Terje Røsten 2010-02-03 08:26:57 UTC
Could you add Xephyr as req, use external vnc and rebuild as libssh 0.4 is i F12 now? Latest release is remmina 0.7.3.

Comment 9 Christoph Wickert 2010-02-03 21:09:40 UTC
Can you please add Provides/Obsoltes for grdc, the previous name of the package? I packaged it a while ago and it would be nice to have a clean upgrade path (although the package never was in Fedora):
Provides: grdc = %{version}
Obsoletes: grdc < 0.6.1 (0.6.0 was the latest Version AFAIK)

%{_datadir}/%{name}/icons/hicolor/*/*/*.png is broken because 
%{_datadir}/%{name}/ and the dirs below are uńowned.

Do you have any plans for remmina-gnome or remmina-xfce? If possible, I would like to maintain the xfce package but I'm not interested in remmina-gnome because I quitted Gnome.

Comment 11 Lubomir Rintel 2010-02-14 15:46:54 UTC
So how about fixing the license tag? (comment #3)

Comment 12 Christoph Wickert 2010-02-18 14:13:24 UTC
Damian, any news? Or Lubomir, can you review this despite of the license tag? This is slowing me down because the xfce plugin was already reviewed in bug 563001 and I'm going to get nagged by the broken deps report.

Comment 13 Lubomir Rintel 2010-02-21 11:47:40 UTC
Christoph, I already reviewed the rest and everything but the license is fine. Sadly, files with bad license are a review blocker and need to be acted on. Would you mind helping the packager with that?

See comment #3.

Comment 14 Christoph Wickert 2010-02-24 12:01:47 UTC
(In reply to comment #13)
> 1.) License
> 
>   3des.* files lack licensing information

Fixed in remmina 0.7.4.

>   zywrletemplate.c
>     This looks like a BSD license, not GPL

Confirmed.

>   keysym.h
>     MIT license?

Yes, AFAICS it's a variant of
https://fedoraproject.org/wiki/Licensing/MIT#Modern_Style_without_sublicense_.28Unicode.29

> 2.) Embedded copies of libraries
> 
> Please look into possibility of using existing vnc library present in Fedora
> instead of libvncserver.

So after building against libvnc from Fedora, which contains the 3des.* files ans zywrletemplate.c, are there any license issues left or is this backage just "GPLv2+ and MIT" now?

Comment 15 Lubomir Rintel 2010-02-24 12:09:15 UTC
(In reply to comment #14)
> So after building against libvnc from Fedora, which contains the 3des.* files
> ans zywrletemplate.c, are there any license issues left or is this backage just
> "GPLv2+ and MIT" now?

No. Thank you! Please fix the License tag upon commit.

APPROVED

Comment 16 Christoph Wickert 2010-02-24 12:18:19 UTC
... and don't forget to update to 0.7.4 or course.

Damien, are you willing to maintain this in EPEL too? Upstream received a request, see https://sourceforge.net/tracker/?func=detail&aid=2934502&group_id=278330&atid=1181677

If you don't do it, I will.

Comment 17 Christoph Wickert 2010-02-24 12:35:09 UTC
One more thing: Please add me as InitialCC when you do your CVS request. In turn I'd like to CC you to xfce4-remmina-plugin and gnome-applet-remmina. Co-maintainance is also welcome! As the three packages ususally are released on the same day, you could also update the addins if necessary.

Comment 18 Damien Durand 2010-02-28 17:42:48 UTC
Thank you for the review guys :-)

Christoph, It's not in my plan to maintain remmina for the EPEL repos. We can work together on remmina. No problem for this, you are welcome :-)

Comment 19 Damien Durand 2010-02-28 17:48:13 UTC
New Package CVS Request
=======================
Package Name: remmina
Short Description: A GTK+ Remote Desktop Client
Owners: splinux cwickert
Branches: F-11 F-12
InitialCC: splinux cwickert

Comment 20 Jason Tibbitts 2010-03-01 16:56:18 UTC
CVS done (by process-cvs-requests.py).

I added an F-13 branch since that seems to have been left out.

Comment 21 Kalev Lember 2010-03-04 21:43:41 UTC
Damien, you need to import the package and build it for F-13 and devel branches too. Currently you've only done F-11 and F-12 branches.

Comment 22 Terje Røsten 2010-03-05 15:35:41 UTC
And please escape the % in changelog, like this:

- Add --enable-vnc=dl in %%configure

See:
 http://koji.fedoraproject.org/koji/buildinfo?buildID=160227

Comment 23 Fedora Update System 2010-03-16 01:30:08 UTC
remmina-0.7.4-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/remmina-0.7.4-2.fc13

Comment 24 Fedora Update System 2010-03-23 01:59:26 UTC
remmina-0.7.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.